Custom Fields
Batch update custom field values
Set or update custom field values for multiple contacts in a single request. Useful for bulk-populating custom fields across your contact database.
POST /v1/custom-fields/batch-update-contacts
Request body
Content-Type: application/json
custom_fields
array<object> required
custom_fields[].contact_id
string (uuid) required
custom_fields[].custom_field_id
string (uuid) required
custom_fields[].text_value
string
custom_fields[].date_value
string
custom_fields[].array_value
array<string>
Example
{
"custom_fields": [
{
"contact_id": "00000000-0000-0000-0000-000000000000",
"custom_field_id": "00000000-0000-0000-0000-000000000000"
}
]
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.count
integer required
Example
{
"error": false,
"data": {
"count": 0
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/custom-fields/batch-update-contacts \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"custom_fields": [
{
"contact_id": "00000000-0000-0000-0000-000000000000",
"custom_field_id": "00000000-0000-0000-0000-000000000000"
}
]
}'
fetch('https://api.prod.getdex.com/v1/custom-fields/batch-update-contacts', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
custom_fields: [
{
contact_id: '00000000-0000-0000-0000-000000000000',
custom_field_id: '00000000-0000-0000-0000-000000000000'
}
]
})
})
requests.post(
"https://api.prod.getdex.com/v1/custom-fields/batch-update-contacts",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"custom_fields": [
{
"contact_id": "00000000-0000-0000-0000-000000000000",
"custom_field_id": "00000000-0000-0000-0000-000000000000"
}
]
}
)

